<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: ControladorCuenta</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: ControladorCuenta</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>ControladorCuenta<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="ControladorCuenta"><span class="type-signature"></span>new ControladorCuenta<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    ControladorCuenta
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorUsuario.js.html">ControladorUsuario.js</a>, <a href="ControladorUsuario.js.html#line8">line 8</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="cerrar_sesion"><span class="type-signature"></span>cerrar_sesion<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para cerrar sesión
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para destruir variable de sesión</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana de inicio de sesión</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorUsuario.js.html">ControladorUsuario.js</a>, <a href="ControladorUsuario.js.html#line14">line 14</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_principal"><span class="type-signature"></span>visualizar_principal<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Pemite visualizar la ventana PaginaPrincipal, según los tipos de usuario que existen
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Permite saber si el usuario ha iniciado sesión, obtener el rol del usuario y su id, y presentar los mensajes de información o error</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Permite redireccionar la respectiva ventana, en el caso de que se haya iniciado sesión o no</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorUsuario.js.html">ControladorUsuario.js</a>, <a href="ControladorUsuario.js.html#line24">line 24</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorCuenta.html">ControladorCuenta</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:13:28 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>